For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
    • PATCHProfiles
      • POSTCreate raw time tracking shifts
      • POSTCreate shifts
      • DELDelete a Shift by External ID
      • POSTDelete multiple shifts by External ID
      • GETGet shift details
      • GETList of shifts
      • PATCHUpdate a shift
LogoLogo
SupportDeel Home
EndpointsTime Tracking Shifts

Create raw time tracking shifts

POST
/time_tracking/shifts/raw
POST
/rest/v2/time_tracking/shifts/raw
$curl -X POST https://api.letsdeel.com/rest/v2/time_tracking/shifts/raw \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "shifts": [
> {
> "meta": {},
> "external_id": "shift_123456",
> "date_of_work": "2023-10-01"
> }
> ],
> "contract_id": "397w2dy"
> }
>}'
1{
2 "data": [
3 {
4 "meta": {
5 "end": {
6 "date": "2023-10-01",
7 "time": "08:00",
8 "is_rest_day": false,
9 "is_public_holiday": false
10 },
11 "start": {
12 "date": "2023-10-01",
13 "time": "08:00",
14 "is_rest_day": false,
15 "is_public_holiday": false
16 },
17 "breaks": [
18 {
19 "end": {
20 "date": "2023-10-01",
21 "time": "21:00"
22 },
23 "start": {
24 "date": "2023-10-01",
25 "time": "21:00"
26 },
27 "is_paid": false
28 }
29 ],
30 "approval_date": "2023-10-02"
31 },
32 "contract_id": "1234",
33 "external_id": "shift_123456r",
34 "date_of_work": "2023-10-01",
35 "created_at": "2024-10-08T12:08:29.695Z",
36 "updated_at": "2024-10-08T12:08:29.695Z",
37 "description": "This is a sample shift description."
38 }
39 ]
40}

Submits one or more raw shift records to the time tracking system. Raw shifts represent unprocessed time entries that may undergo validation or transformation before being reflected in processed time data. Token scopes: time-tracking:write

Was this page helpful?
Previous

Create shifts

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Request

Request body to create time tracking raw shifts.
dataobjectRequired
Request data containing contract ID and shifts to be created.

Response

Successful operation.
datalist of objects
List of created shift records.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication